Subject: [Adslmib] [Technical Errata Reported] RFC4319 (2633)

From: RFC Errata System <[email-masked]>
Date: Tue, 16 Nov 2010 01:22:36 -0800 (PST)

The following errata report has been submitted for RFC4319,
"Definitions of Managed Objects for High Bit-Rate DSL - 2nd generation (HDSL2) and Single-Pair High-Speed Digital Subscriber Line (SHDSL) Lines".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=4319&eid=2633

--------------------------------------
Type: Technical
Reported by: Stefan Reichmuth <[email-masked]>

Section: 3

Original Text
-------------
   hdsl2ShdslEndpointCurrAtn OBJECT-TYPE
      SYNTAX      Integer32(-127..128)

[...]

   hdsl2ShdslEndpointCurrSnrMgn OBJECT-TYPE
      SYNTAX      Integer32(-127..128)

Corrected Text
--------------
   hdsl2ShdslEndpointCurrAtn OBJECT-TYPE
      SYNTAX      Integer32(-128..127)

[...]

   hdsl2ShdslEndpointCurrSnrMgn OBJECT-TYPE
      SYNTAX      Integer32(-128..127)

Notes
-----
The data type for SNR margin and loop attenuation defined in ITU-T G.991.2 section 9.5.5.7.14 is signed char (-128..127). In particular for the attenuation value it is important that -128 is part of the allowed range, because this means 'not available'.

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC4319 (draft-ietf-adslmib-gshdslbis-11)
--------------------------------------
Title               : Definitions of Managed Objects for High Bit-Rate DSL - 2nd generation (HDSL2) and Single-Pair High-Speed Digital Subscriber Line (SHDSL) Lines
Publication Date    : December 2005
Author(s)           : C. Sikes, B. Ray, R. Abbi
Category            : PROPOSED STANDARD
Source              : ADSL MIB
Area                : Operations and Management
Stream              : IETF
Verifying Party     : IESG